#include "TempletAssemble.h"
#include <QLineEdit>
#include <QGridLayout>
#include <QVBoxLayout>
#include <QSplitter>
#include <QLabel>
#include <QGroupBox>

TempletAssemble::TempletAssemble()
	:QWidget(nullptr),
	_templet_present(new QListView(this)),
	_templet_model(new QStandardItemModel(this)),
	_t_add(new QPushButton(u8"ģ",this)),
	_t_remove(new QPushButton(u8"Ƴģ", this)),
	_templet_name(new QLineEdit(this)),
	_component_types(new QComboBox(this)),
	_comp_add(new QPushButton(u8"", this)),
	_comp_remove(new QPushButton(u8"Ƴ", this)),
	_component_present(new QListView(this)),
	_component_model(new QStandardItemModel(this)),
	_apply(new QPushButton(u8"Ӧ", this))
{
	auto layout = new QVBoxLayout(this);
	auto split = new QSplitter(this);
	layout->addWidget(split);

	auto left_widget = new QGroupBox(u8"ģб", this);
	split->addWidget(left_widget);
	auto llayout = new QGridLayout(left_widget);
	llayout->addWidget(_templet_present, 0, 0, 3, 2);
	llayout->addWidget(_t_add, 3, 0);
	llayout->addWidget(_t_remove, 3, 1);


	auto right_widget = new QWidget(this);
	split->addWidget(right_widget);
	auto rlayout = new QGridLayout(right_widget);
	rlayout->addWidget(new QLabel(u8"ģ", this), 0, 0);
	rlayout->addWidget(_templet_name, 0, 1, 1, 4);
	rlayout->addWidget(new QLabel(u8"", this), 1, 0);
	rlayout->addWidget(_component_types, 1, 1, 1, 2);
	rlayout->addWidget(_comp_add, 1, 3);
	rlayout->addWidget(_comp_remove, 1, 4);
	rlayout->addWidget(_component_present, 2, 0, 3, 5);
	rlayout->addWidget(_apply, 5, 0, 1, 5);

	rlayout->setColumnStretch(1, 1);
	split->setStretchFactor(1, 1);
}
