#pragma once
#include <QWidget>
#include <QListView>
#include <QStandardItemModel>
#include <QComboBox>
#include <QPushButton>

class TempletAssemble : public QWidget
{
	Q_OBJECT
private:
	QListView *const _templet_present;
	QStandardItemModel *const _templet_model;
	QPushButton *const _t_add, *const _t_remove;

	QLineEdit *const _templet_name;
	QComboBox *const _component_types;
	QPushButton *const _comp_add, *const _comp_remove;
	QListView *const _component_present;
	QStandardItemModel *const _component_model;
	QPushButton *const _apply;

public:
	TempletAssemble();
	virtual ~TempletAssemble() = default;


};

